#pragma once

#ifndef TABLET_H
#define TABLET_H

#include "wacom_driver.h"
#include "serial.h"

typedef struct 
{
	serial_port	*sport;
	int			numClients;
} wacom_tablet;

status_t	GetModel(wacom_tablet &, char *model);
status_t	GetMaxCoordinates(wacom_tablet &, int32 &x,int32 &y);
status_t	GetCurrentSettings(wacom_tablet &, char *buff, const int32 buffLen);
status_t	GetTabletInfo(wacom_tablet &, tablet_info &);
status_t	GetLocation(wacom_tablet &, int &x, int &y, int &buttons);
status_t	GetPosition(wacom_tablet &, tablet_position &position);
	
	// Set various Parameters
status_t	SetASCIIFormat(wacom_tablet &);
status_t	SetBinaryFormat(wacom_tablet &);
status_t	SetRelativeMode(wacom_tablet &);
status_t	SetAbsoluteMode(wacom_tablet &);
status_t	SetPointMode(wacom_tablet &);
status_t	SetAlwaysTransmit(wacom_tablet &, const int8 = 1);
	
	// Select the operational command set
status_t	SelectIISCommandSet(wacom_tablet &);
status_t	SelectIVCommandSet(wacom_tablet &);
status_t	Select1201CommandSet(wacom_tablet &);
	
status_t	Reset(wacom_tablet &);

status_t	SetTransmissionInterval(wacom_tablet &tablet, const int16);
	
#endif
