/* +++++++++++
	FILE:	wacom_driver.h
	REVS:	$Revision: 1.19 $
	NAME:	William Adams
	DATE:	Mon Jun 16 11:27:53 PST 1997
	Copyright (c) 1995-97 by Be Incorporated.  All Rights Reserved.
+++++ */

#pragma once

#ifndef _WACOM_DRIVER_H
#define _WACOM_DRIVER_H

#include <Drivers.h>

/*
 control codes
*/

enum {
	TABLET_GETINFO = B_DEVICE_OP_CODES_END,
	TABLET_SETINFO,
	TABLET_GETPOSITION,
	TABLET_SAVESETTINGS,
	TABLET_READSETTINGS
};

/*--------------------------------------------------------------------------
 General info struct used to pass control info in and 
 out of driver.
*/

enum ECommandSet {
	WT_WacomIV = 3,
	WT_WacomIIS = 2,
	WT_MM1201 = 1,
	WT_BitPad = 0
};

enum EBaudRate {
	WT_19200 = 3,
	WT_9600 = 2,
	WT_4800 = 1,
	WT_2400 = 0	
};

enum EParity {
	WT_EVEN = 3,
	WT_ODD = 2,
	WT_NONE = 0
};

enum EDataBits {
	WT_8bit = 1,
	WT_7bit = 0
};

enum EStopBits {
	WT_2STOPBITS	= 1,
	WT_1STOPBIT		= 0
};

typedef struct
{
	int8	commandset;
	int8	baudrate;
	int8	parity;
	int8	datalength;
	int8	stopbits;
	
	int8	ctsdsr;
	int8	transfermode;
	int8	outputformat;
	int8	coordinatesystem;
	int8	transferrate;
	
	int8	resolution;
	int8	origin;
	int8	outofrange;
	int8	terminator;
	
	int8	pressure;
	int8	readingheight;
	int8	multimode;
	int8	mmcommandset;
	int8	mm961orient;
	int8	bitpadIIcursor;
	int8	remotemode;
} tablet_info;


typedef struct 
{	
	bool	proximity;
	bool	stylus;
	bool	buttonflag;
	int32	x;
	int32	y;
	uint32	buttons;
	bool	pressuresign;
	int32	pressuredata;
	bool	xtiltsign;
	int32	xtiltdata;
	bool	ytiltsign;
	int32	ytiltdata;
	int32	status;
}tablet_position;

#endif
