#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>

#include "wacom_driver.h"

static void
printtabletposition(const tablet_position &info);

/*
void
printtabletinfo(const tablet_info &info)
{
	printf("Proximity: %d\n", info.proximity);
	//printf("Pointer: %d\n", info.stylus);
	printf("Button Flag: %d\n", info.buttonflag);
	printf("X: %d\n", info.x);
	printf("Y: %d\n", info.y);
	printf("Buttons: %d\n", info.buttons);
	//printf("Pressure Sign: %d\n", info.pressuresign);
	printf("Pressure Data: %d\n", info.pressuredata);
	//printf("X Tilt Sign: %d\n", info.xtiltsign);
	//printf("X Tilt Data: %d\n", info.xtiltdata);
	//printf("Y Tilt Sign: %d\n", info.ytiltsign);
	//printf("Y Tilt Data: %d\n", info.ytiltdata);
}
*/
void
printtabletposition(const tablet_position &info)
{
	printf("Prox: %d Pressed: %d Buttons: %d X: %d Y: %d\n", 
		info.proximity, info.buttonflag, info.buttons, info.x,info.y);
	//printf("Pressure Sign: %d\n", info.pressuresign);
	//printf("X Tilt Sign: %d\n", info.xtiltsign);
	//printf("X Tilt Data: %d\n", info.xtiltdata);
	//printf("Y Tilt Sign: %d\n", info.ytiltsign);
	//printf("Y Tilt Data: %d\n", info.ytiltdata);
}


int main(int argc, char **argv)
{
	char buff[256];
	int32 x,y;
	int fd;
	tablet_position position;
	
	fd = open("/dev/wacom",O_RDONLY);
	if (fd < 0)
	{
		printf("Error opening /dev/wacom - %d\n", fd);
		return -1;
	}	
	
	
	while(1)		// Ctrl-C will quit this
	{
		position.x = 0;
		position.y = 0;
		status_t status = ioctl(fd, TABLET_GETPOSITION, &position);
		if (position.status != B_ERROR)
			printtabletposition(position);
		if (position.buttons == 5)
			break;
	}
	
	close(fd);
}
